/***************************************************************************
 *   Copyright (C) 2006 by BardaK   *
 *   bardak@BardaX   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _PEER_INFO_H_
#define _PEER_INFO_H_
#include "trackerUtils.h"

struct PeerInfo{
	struct Peer* peer;
	struct Tracker** trackers;
	int trackersLength;
	struct PeerInfo* left;
	struct PeerInfo* right;
};

void addTracker(struct PeerInfo*, struct Tracker*);
void addPeerInfo(struct PeerInfo**, struct PeerInfo*);
void addPeerToPeerInfo(struct PeerInfo** , struct Peer*, struct Tracker* );
int comparePeerInfo(struct PeerInfo*, struct PeerInfo*);
void printCSVStructure(FILE*, struct PeerInfo*, char compact, char trackers);

#endif

